Subject: Re: cfg80211 take 7

From: Stefan Rompf <[email-masked]>
Date: Mon, 9 Oct 2006 14:52:06 +0200

Am Montag, 9. Oktober 2006 13:49 schrieb Johannes Berg:

> Yeah, probably makes sense. Though, maybe not just the band but a set of
> channels instead?

Yes, this would allow us to keep the definition of a band out of kernel. But 
to distinguish between 802.11 b and g, we'd need a set of channels and 
allowed modulations. I haven't looked at Larry's regulatory domain stuff yet, 
but maybe band selection could use the same data structure. cfg80211 would 
then just calculate the intersection of user supplied set and set permitted 
by regulations.

Hopefully there is no country that forbids the user *NOT* to scan a specific 
channel ;)

Stefan